Bug 227125 - Review Request: xom-1.0-3jpp - XML Pull Parser
Review Request: xom-1.0-3jpp - XML Pull Parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nuno Santos
Fedora Package Reviews List
:
Depends On:
Blocks: 227069
  Show dependency treegraph
 
Reported: 2007-02-02 13:01 EST by Rafael H. Schloming
Modified: 2014-12-01 18:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-12 11:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nsantos: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 13:01:47 EST
Spec URL: http://people.redhat.com/rafaels/specs/xom-1.0-3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/xom-1.0-3jpp.src.rpm
Description: XOM is a new XML object model. It is an open source (LGPL),
tree-based API for processing XML with Java that strives
for correctness, simplicity, and performance, in that order.
XOM is designed to be easy to learn and easy to use. It
works very straight-forwardly, and has a very shallow
learning curve. Assuming you're already familiar with XML,
you should be able to get up and running with XOM very quickly.

Javadoc for xom.

Samples for xom.
Comment 1 Nuno Santos 2007-02-13 13:55:55 EST
xom-1.0-3jpp.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify


MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
OK - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
OK - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
?? * is it legal for Fedora to distribute this?
?? - OSI-approved
OK - not a kernel module
OK - not shareware
?? - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK  - use acronyms for licences where common
OK * specfile name matches %{name}
?? * verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
OK * skim the summary and description for typos, etc.
NO * correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

--
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
--

NA * if %{?dist} is used, it should be in that form (note the ? and %
locations)
NO * license text included in package and marked with %doc

--
included but not marked with %doc:
%{_datadir}/doc/%{name}-%{version}/LICENSE.txt
--

OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
NO * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

--
$ rpmlint xom-1.0-3jpp.src.rpm
W: xom non-standard-group Text Processing/Markup/XML
E: xom unknown-key GPG#c431416d
--

OK * changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

OK * Packager tag should not be used
NO * Vendor tag should not be used

--
Vendor:         JPackage Project
--

OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
 - this is largely subjective; use your judgement
?? * package successfully compiles and builds on at least x86
?? * BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
OK * make sure lines are <= 80 characters
OK * specfile written in American English
OK * make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NA * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
NO * use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS

--
...
install -m 644 build/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar}
`echo $jar| sed "s|-%{version}||g"`; done)
...
--

OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
OK * consider using cp -p to preserve timestamps
NA * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
NA * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
?? * verify the final provides and requires of the binary RPMs
?? * run rpmlint on the binary RPMs

SHOULD:
NO * package should include license text in the package and mark it with %doc

--
included but not marked with %doc:
%{_datadir}/doc/%{name}-%{version}/LICENSE.txt
--

?? * package should build on i386
NO * package should build in mock

--
Cannot find build req  tagsoup. Exiting.
--
Comment 2 Andrew Overholt 2007-02-14 17:52:44 EST
Updated spec and SRPM:

http://overholt.ca/fedora/xom.spec
http://overholt.ca/fedora/xom-1.0-3jpp.1.src.rpm

(In reply to comment #1)
> ?? * is it legal for Fedora to distribute this?

Yes.

> ?? - OSI-approved

It's LGPL so yes.

> ?? - is it covered by patents?

I don't think there's much we can do here.

> ?? * verify source and patches (md5sum matches upstream, know what the patches do)

I've verified the md5sum.

> NO * correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Fixed.

> NA * if %{?dist} is used, it should be in that form (note the ? and %
> locations)

I've added %{?dist}

> NO * license text included in package and marked with %doc

Fixed.

> NO * rpmlint on <this package>.srpm gives no output
> 
> W: xom non-standard-group Text Processing/Markup/XML

Fixed.

> E: xom unknown-key GPG#c431416d

This was just because you didn't have the JPackage GPG on your system.

> NO * Vendor tag should not be used

Removed.

> ?? * package successfully compiles and builds on at least x86

Done.

> NO * use macros appropriately and consistently
> install -m 644 build/%{name}-%{version}.jar \
>   $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
> (cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar}
> `echo $jar| sed "s|-%{version}||g"`; done)

I think this is fine.

> ?? * verify the final provides and requires of the binary RPMs

I think they're fine.

> ?? * run rpmlint on the binary RPMs

$ rpmlint ~/rpmbuild/RPMS/noarch/xom-javadoc-1.0-3jpp.1.noarch.rpm
$ rpmlint ~/rpmbuild/RPMS/noarch/xom-demo-1.0-3jpp.1.noarch.rpm
W: xom-demo no-documentation

I think this can be ignored.

$ rpmlint ~/rpmbuild/RPMS/noarch/xom-1.0-3jpp.1.noarch.rpm

> NO * package should include license text in the package and mark it with %doc

Fixed.

> ?? * package should build on i386

It does for me.  I think you'll have to wait to verify until other packages are
built.

> NO * package should build in mock

I can't try until saxon is done, but I'm confident it will work.
Comment 3 Andrew Overholt 2007-02-14 18:05:06 EST
I removed the saxon BR and it built fine.  Let's assume we don't need it :)

Updated spec and SRPM (saxon dep removed):

http://overholt.ca/fedora/xom.spec
http://overholt.ca/fedora/xom-1.0-3jpp.1.src.rpm
Comment 4 Nuno Santos 2007-02-21 16:33:59 EST
New Package CVS Request
=======================
Package Name: xom-1.0-3jpp
Short Description: XML Pull Parser
Owners: nsantos@redhat.com
Branches: FC-7
InitialCC: rafaels@redhat.com,dbhole@redhat.com
Comment 5 Lubomir Rintel 2010-07-19 05:56:01 EDT
Package Change Request
======================
Package Name: xom
New Branches: EL-6
Owners: lkundrak

I have a package that depends on this. I mailed the maintainer, but he orphaned
the package in devel and forwarded the message to dbhole. He neither picked the
package in Fedora yet, nor responded yet. I'll be very happy to pass
maintainership of the branch to him if he expressed will to take care of it.

Mail date header (of the response cced to dbhole, not my original message):
Mon, 12 Jul 2010 17:05:46 -0400 (07/12/2010 11:05:46 PM)
Comment 6 Kevin Fenzi 2010-07-19 23:12:41 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.